Subject: Additional input needed for i18nRP BOF

From: Adam Roach <[email-masked]>
Date: Tue, 5 Jun 2018 23:44:33 -0500

On today's BOF approval call, the IESG and IAB had an in-depth 
discussion of the i18nRP BOF proposal. One of the topics that was most 
discussed is a concern that the BOF does not have a clear path to 
success, largely because the proposal has very little discussion of 
proposed potential outcomes. While we do not expect the proponents to 
presuppose an outcome, we believe that achieving a positive outcome 
requires one or more specific proposals to serve as a basis for the 
conversation.

At the same time, the volume of traffic on the IETF mailing list on this 
topic does seem to demonstrate that there is interest in discussing 
topics related to internationalization. The ART area directors have 
therefore provisionally approved the BOF, subject to the proponents 
and/or any other interested parties providing concrete proposals as a 
basis for discussion.

Concretely, this means that the secretariat has been requested to 
schedule a one-hour slot for the Montreal meeting for the proposed BOF. 
If no concrete proposals for procedural approaches to address the issues 
described by the BOF proponents are available by Wednesday, June 13th, 
the secretariat will be requested to remove the BOF from the schedule.

Although it did not come up during the call, I personally wish to point 
out that open-ended brainstorming sessions without concrete proposals 
are typically handled as unofficial side-meetings (either in person or 
virtually). If the BOF proponents wish to maintain the open-ended 
brainstorm session described in the current proposal, the side meeting 
scheduling mechanism remains available; and I would be happy to help out 
should any difficulties occur in using that mechanism.

Please send proposals and any other follow-up messages to [email-masked]

/a

---

From: John C Klensin <[email-masked]>
Date: Wed, 06 Jun 2018 09:58:58 -0400

Adam,

I had hoped to see an open discussion in the weeks between now
and the start of the IETF meeting but, while I have some ideas,
the absence of specific proposals in the BOF proposal was
deliberate.   

As we know from many previous discussions, including earlier
threads in this one, this is an area in which tempers tend to
get very short, and frustrations rise, very quickly.  We see
proposals, even about procedures rather than substantive
details, that would work well except for almost-inevitable bad
effects on language ABC or some hypothesis about next billion
users of the Internet; those who use that language or who are
trying to look ahead to those users tend, quite reasonably, to
have reactions that such proposals are unreasonable and
discriminatory.  We see suggestions that this is just a small
matter of engineering, that a particular easy approach will
solve everything, or that the only critical issue is "ABC".
Those types of suggestions are extremely problematic for some of
those who have been trying to push this rock uphill for many
years, both because they think they know better (from extensive
experience) and because some of those comments sometimes feel as
if they are being told they are idiots for having put all of
that time and energy into the efforts.  

The claims that have been made that some of the comments made
earlier in this discussion were unprofessional, patronizing,
and/or insulting only reinforces the comments above (whether one
accepts those claims or not).

I think all of us know how rapidly small miscommunications on
email can turn into large ones.  Maybe a face to face meeting
with a tight schedule (asking for only an hour was also
deliberate even though many of us could easily discuss some of
the substantive issues for a week or more) and the ability to
say "we agreed to not spend time on that in this session" or
"calm down and stay brief" in real time can help us hold a
discussion without people coming to blows.  Or maybe not.  But I
think it is worth a try and that try includes allowing (or
encouraging) the most controversial subjects to be deferred to a
f2f conversation.   I'd feel differently if I (and others who
are probably more sensible) didn't think that all of the other
options everyone has been able to think of --other than
admitting defeat and leaving this area, including existing
standards-track protocols, to whatever SDO or other organization
will willing to fill the vacuum that would leave -- had been
tried and failed.

Finally, I addressed the side-meeting option in my proposal for
the BOF.  While I had expected to be in Montreal, several of the
people whose participation in this BOF I think are important may
need to participate remotely, which means full Meetecho
coverage.  More important, and again because I see this as a
kind of last try before giving up (or recognizing that the IETF
and IAB have already given up), I think it is important that
there be a place on the formal agenda, minutes, and other things
that the community can treat as at least the beginning of a
consensus process (and part of the historical record) and the
IESG can and should interpret as guidance.    Informal
discussions and side meetings have been held and led nowhere (as
others have pointed out).  You might even recall the
conversation on this subject in Chicago, which also led nowhere.
BOFs have been held with more or less specific ideas to address
specific substantive matters and have resulted in either nothing
or a further loss of energy.  Let's do this as an organized
activity or make some plan we haven't tried already.

That leads me to something I should have thought of sooner:
please add a scheduling request to the BOF request that this
session be scheduled before the plenary.   If the BOF produces
no ideas for going forward, I think it will be desirable,
perhaps necessary, to ask the IESG (and maybe the IAB) the
question as to what we do next, even that if is a formal
statement that the IETF is giving up.

best,
    john

--On Tuesday, June 5, 2018 23:44 -0500 Adam Roach
<[email-masked]> wrote:

> discussion of the i18nRP BOF proposal. One of the topics that
> was most discussed is a concern that the BOF does not have a
> clear path to success, largely because the proposal has very
> little discussion of proposed potential outcomes. While we do
> not expect the proponents to presuppose an outcome, we believe
> that achieving a positive outcome requires one or more
> specific proposals to serve as a basis for the conversation.
> 
> At the same time, the volume of traffic on the IETF mailing
> list on this topic does seem to demonstrate that there is
> interest in discussing topics related to internationalization.
> The ART area directors have therefore provisionally approved
> the BOF, subject to the proponents and/or any other interested
> parties providing concrete proposals as a basis for discussion.
> 
> Concretely, this means that the secretariat has been requested
> to schedule a one-hour slot for the Montreal meeting for the
> proposed BOF. If no concrete proposals for procedural
> approaches to address the issues described by the BOF
> proponents are available by Wednesday, June 13th, the
> secretariat will be requested to remove the BOF from the
> schedule.
> 
> Although it did not come up during the call, I personally wish
> to point out that open-ended brainstorming sessions without
> concrete proposals are typically handled as unofficial
> side-meetings (either in person or virtually). If the BOF
> proponents wish to maintain the open-ended brainstorm session
> described in the current proposal, the side meeting scheduling
> mechanism remains available; and I would be happy to help out

---

From: Adam Roach <[email-masked]>
Date: Thu, 14 Jun 2018 13:59:47 -0700

Based on the proposals and discussion we've seen in the past week, this 
BOF will be meeting in Montreal. Many thanks to Peter St. Andre and Pete 
Resnick for agreeing to chair the session.

/a

On 6/5/18 21:44, Adam Roach wrote:
> At the same time, the volume of traffic on the IETF mailing list on 
> this topic does seem to demonstrate that there is interest in 
> discussing topics related to internationalization. The ART area 
> directors have therefore provisionally approved the BOF, subject to 
> the proponents and/or any other interested parties providing concrete 
> proposals as a basis for discussion.
>
> schedule a one-hour slot for the Montreal meeting for the proposed 
> BOF. If no concrete proposals for procedural approaches to address the 
> issues described by the BOF proponents are available by Wednesday, 
> June 13th, the secretariat will be requested to remove the BOF from 
> the schedule.
>
> Although it did not come up during the call, I personally wish to 
> point out that open-ended brainstorming sessions without concrete 
> proposals are typically handled as unofficial side-meetings (either in 
> person or virtually). If the BOF proponents wish to maintain the 
> open-ended brainstorm session described in the current proposal, the 
> side meeting scheduling mechanism remains available; and I would be 
> happy to help out should any difficulties occur in using that mechanism.
>
> _______________________________________________
> i18nRP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i18nrp